function print_user_information(FitOpt)

% Prints user-settings on the console
%**************************************************************************
% Give user imformation before starting
%**************************************************************************
if  FitOpt.smartGrid == true
    fprintf('\n\nsmartGrid of sampling is switched on\n\n')
    fprintf('Preliminary number of iterations at each sampling point: %i', FitOpt.nIter);
else
    fprintf('\n\nsmartGrid of sampling is switched off or is not defined\n\n')
    fprintf('Number of iterations at each sampling point: %i', FitOpt.nIter);
end
if FitOpt.fastGrid == true
    fprintf('\n\nFastGrid of sampling is switched on\n\n')
else
    fprintf('\n\nFastGrid of sampling is switched off or is not defined\n\n')
end

if FitOpt.isequivHFcoupling == true
    C = unique(FitOpt.equivHFcoupling);
    fprintf('\nEquivalent hyperfine couplings are enabled. Number of different couplings %i',length(C) );
end

if isfield(FitOpt,'ARes')
    nonzero = nnz(FitOpt.ARes);
    fprintf('\nIsotropic restrictions of hyperfine couplings are given for %i%s', nonzero, ' nuclei' );
end
fprintf('\n\n');
fprintf('**********************************************************************\n');
fprintf('Prediction when the program will be finished is given after three samplings\n\n');