function param =  restrictiso(param, FitOpt)


%Restriction of isotropic values for ARes not 0
if isfield(FitOpt,'ARes')
    sA = size(param.A);
    if sA(1) == 1
        if length(param.A) == 3
            if FitOpt.ARes ~=  0
                param.A = param.A*(length(param.A)*FitOpt.ARes)/sum(param.A+0.0000001);
            end
        elseif length(param.A) == 2
            if FitOpt.ARes ~=  0
                param.A = param.A*(3*FitOpt.ARes)/(param.A(1)*2+param.A(2)+0.0000001);
            end
        end
    elseif sA(1) > 1
        for n=1:(sA(1))
            if length(param.A(n,:)) == 3
                if FitOpt.ARes(n) ~=  0
                    param.A(n,:) = param.A(n,:)*(length(param.A(n,:))*FitOpt.ARes(n)+0.000000001)/sum(param.A(n,:));
                end
            elseif length(param.A(n,:)) == 2
                if FitOpt.ARes(n) ~=  0
                    param.A(n,:) = param.A(n,:)*(3*FitOpt.ARes(n))/(param.A(n,1)*2+param.A(n,2)+0.0000001);
                end
            end
        end
    end
end


%Restriction of isotropic values
if isfield(FitOpt,'gRes')
    if length(param.g) == 3
    param.g = param.g*(length(param.g)*FitOpt.gRes)/sum(param.g+0.000000001);
    elseif length(param.g) == 2
         param.g = param.g*(3*FitOpt.gRes)/(param.g(1)*2+param.g(2)+0.000000001);
    end
end

