function S = upsamp(s,n)

% Upsampling of a vector S by a factor of 2
% introducing zeros at every second position
%
% (c) 2017, Stephan Rein

zerovec = zeros(1,length(s));
if n == 1;
    S(1:2:2*length(zerovec)) = s;
    S(2:2:2*length(zerovec)) = zerovec;
elseif n ==2
    S(2:2:2*length(zerovec)) = s;
    S(1:2:2*length(zerovec)) =zerovec;
end

end
