function predict_time(elapsed, maxnumber_of_iterations,number_of_iterations)

%Predict time when the program terminates
predictrel = elapsed*(maxnumber_of_iterations/number_of_iterations)-elapsed;

%Decompose it in days, hours, minutes .....
    if exist('datetime', 'file') ~= 0 || exist('datetime', 'builtin') ~= 0 
        t1 = datetime('now');
        t2 = t1 + predictrel*seconds;
        fprintf('\n\nPredicted time when the program has terminated: ');
        disp(t2);
        fprintf('\n\n');
    else
        t1 = now;
        t2 = t1 + predictrel/84000;
        fprintf('\n\nPredicted time when the program has terminated: ');
        disp(datestr(t2));
        fprintf('\n\n');
    end
end
