function algor = which_algorithm(algorithm)

% Preparing the optimization algorithm
%
% Stephan Rein, 2019

algor= 0;  % Default = trust-region-reflective
try
    if  strcmp(algorithm,'levenberg-marquardt')==true
        algor= 1;
        fprintf(['Using Levenberg-Marquardt algorithm\n!!Boundaries are' ...
            ' switched off!!\n']);
    elseif strcmp(algorithm,'active-set')==true
        algor= 2;
        fprintf('Using active-set algorithm\n');
    elseif strcmp(algorithm,'interior-point')==true
        algor  =3;
        fprintf('Using Interior-point algorithm\n');
    elseif strcmp(algorithm,'sqp')==true
        algor  =4;
        fprintf('Using sequential quadratic programming algorithm\n ');
    elseif  strcmp(algorithm,'simplex')==true
        algor= 5;
        fprintf(['Using Nelder-Mead simplex algorithm\n!!Boundaries are' ...
            ' switched off!!\n']);
    elseif strcmp(algorithm,'LevMarq_SR')==true
        algor= 6;
        fprintf('Using own Levenberg-Marquardt algorithm\n');
    elseif strcmp(algorithm,'TrustRegion_SR')==true
        algor= 7;
        fprintf('Using own Trust-region algorithm\n');
    elseif algor== 0
        fprintf('Using Trust-region-reflective algorithm\n');
    end
catch Me   
end
end
