function write_output_files(bestparameter,version,Exp,Opt,Vary,FitOpt, ...
                            Expst,Sysst,lsqbest,q,clock)

for ne = 1:2
    if ne ==1
        fileID = fopen('Current_Best_Parameters.txt','w');
    else
        fileID = fopen('Log_Best_Parameters.txt','a');
    end
    if ne == 1
        fprintf(fileID,'Analyzed with: %s',version);
        fprintf(fileID,'\n\n\n***********Current Best Parameters');
        fprintf(fileID, '*************\n\n');
    end
    if ne == 2
        fprintf(fileID,'number of improvement %i', q-1);
        fprintf(fileID,'\n\n');
    end
    %Function with output parser
    output_Parser_struct(bestparameter,fileID,'Sys')
    fprintf(fileID,'\n');
    output_Parser_struct(Exp,fileID,'Exp')
    if ne == 1
        fprintf(fileID,'\n');
    end
    fprintf(fileID,'Least-square deviation: %f',lsqbest);
    if ne == 2
        fprintf(fileID,'\n\n');
    end
    if ne == 1
        fprintf(fileID,'\n\n\n\n');
        fprintf(fileID,'**************User Input*****************\n');
        fprintf(fileID,'Parameter Variation:\n');
        output_Parser_struct(Vary,fileID,'Vary')
        fprintf(fileID,'\nInitial Parameter:\n');
        output_Parser_struct(Sysst,fileID,'Sys')
        fprintf(fileID,'\nExperimental Settings:\n');
        output_Parser_struct(Expst,fileID,'Exp')
        fprintf(fileID,'\nFitting Options:\n');
        output_Parser_struct({FitOpt},fileID,'FitOpt')
        fprintf(fileID,'\nSimulation Options:\n');
        output_Parser_struct({Opt},fileID,'SimOpt')
        fprintf(fileID,'\n\n\n\nDate: ');
        long = clock;
        for i = 3:-1:1
            fprintf(fileID,'%i',long(i));
            if i > 1
                fprintf(fileID,'.');
            end
        end
        fprintf(fileID,'\nTime: ');
        for i = 4:1:6
            if round(long(i)) >= 10
                fprintf(fileID,'%i',round(long(i)));
            else
                fprintf(fileID,'0%i',round(long(i)));
            end
            if i < 6
                fprintf(fileID,':');
            end
        end
    end
    fclose(fileID);
end